
Redmine - Defect #32307

AttachmentsControllerTest#test_thumbnail_for_pdf_should_be_png fails if ImageMagick convert is

not available

2019-10-20 15:14 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

To reproduce it, set invalid value to imagemagick_convert_command in configuration.yml and run attachments_controller_test.rb.

Failure:

AttachmentsControllerTest#test_thumbnail_for_pdf_should_be_png [/Users/maeda/redmines/redmine-trun

k/test/functional/attachments_controller_test.rb:478]:

Expected response to be a <2XX: success>, but was a <404: Not Found>

Response body:

bin/rails test test/functional/attachments_controller_test.rb:472

 The test should be skipped if convert command is not available.

Related issues:

Related to Redmine - Feature #22481: Show thumbnails for PDF attachments Closed

Associated revisions

Revision 18826 - 2019-10-22 16:12 - Go MAEDA

Skip AttachmentsControllerTest#test_thumbnail_for_pdf_should_be_png when ImageMagick convert is not available (#32307, #22481).

Patch by Go MAEDA.

History

#1 - 2019-10-22 16:12 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Committed the patch as a part of #22481.

#2 - 2019-10-22 16:58 - Marius BĂLTEANU

- Related to Feature #22481: Show thumbnails for PDF attachments added
